#
#	File:		MTVdcmd.make
#
#	Contains:	Makefile for MacsBug TV dcmd
#
#	Written by:	Chris Wysocki
#
#	Copyright:	 1995 Christopher R. Wysocki. All rights reserved.
#
#	Change History (most recent first):
#
#		 		 5/20/95	crw		New today
#
#	To Do:
#

COptions		=	-r -b -mbg off -i ':dcmd Includes:'

Sources			=	:Sources:
Objects			=	:Objects:
dcmdLibraries	=	:dcmd Libraries:

.c.o				.c
	C {COptions} {DepDir}{Default}.c -o {TargDir}{Default}.c.o

{Objects}			{Sources}

MTVdcmd.dump				{Sources}MTVdcmd.pch
	C {COptions} -c {Sources}MTVdcmd.pch

{Objects}MTVdcmd.c.o		{Sources}MTVdcmd.c	
							{Sources}MTVdcmd.h	
							MTVdcmd.dump

MTV				{Objects}MTVdcmd.c.o
	Link -o {Targ}						
		-t rsrc -c RSED					
		"{dcmdLibraries}"dcmdGlue.a.o	
		{Objects}MTVdcmd.c.o			
		"{dcmdLibraries}"put.c.o		
		"{Libraries}"Interface.o		
		"{Libraries}"Runtime.o
	BuildDcmd MTV 1225
	Duplicate -y MTV 'Debugger Prefs'

MTV				{Sources}MTVdcmd.r	
				{Sources}MTVdcmd.h
	Rez -a -i "{Sources}" -o {Targ} {Sources}MTVdcmd.r

MTVdcmd			MTV
